OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.DrawBuffersBlend

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBDrawBuffersBlend :: MonadIO m => m Bool
- gl_ARB_draw_buffers_blend :: Bool
- glBlendEquationSeparateiARB :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()
- glBlendEquationiARB :: MonadIO m => GLuint -> GLenum -> m ()
- glBlendFuncSeparateiARB :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glBlendFunciARB :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()

# Extension Support

glGetARBDrawBuffersBlend :: MonadIO m => m Bool Source #

Is the ARB_draw_buffers_blend extension supported?

gl_ARB_draw_buffers_blend :: Bool Source #

Is the ARB_draw_buffers_blend extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawBuffersBlend` in those cases instead.

# Functions

glBlendEquationSeparateiARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `modeRGB` of type BlendEquationModeEXT.
-> GLenum | `modeAlpha` of type BlendEquationModeEXT.
-> m () |

This command is an alias for `glBlendEquationSeparatei`.

glBlendEquationiARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

This command is an alias for `glBlendEquationi`.

glBlendFuncSeparateiARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `srcRGB` of type BlendingFactor.
-> GLenum | `dstRGB` of type BlendingFactor.
-> GLenum | `srcAlpha` of type BlendingFactor.
-> GLenum | `dstAlpha` of type BlendingFactor.
-> m () |

This command is an alias for `glBlendFuncSeparatei`.

glBlendFunciARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `src` of type BlendingFactor.
-> GLenum | `dst` of type BlendingFactor.
-> m () |

This command is an alias for `glBlendFunci`.